Freeciv-3.1: generate_specenum Namespace Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions | Variables
generate_specenum Namespace Reference

## Functions

| make_header (file)
| make_documentation (file)
| make_macros (file)
| make_enum (file)
| make_is_bitwise (file)
| make_min (file)
| make_max (file)
| make_is_valid (file)
| make_invalid (file)
| make_begin (file)
| make_end (file)
| make_next (file)
| make_name (file)
| make_by_name (file)
| make_translated_name (file)
| make_bitvector (file)
| make_undef (file)
| main ()

## Variables

int | max_enum_values = 150
list | macros = []

## Function Documentation

## ◆ main()

generate_specenum.main | ( |  | ) |

Definition at line 623 of file generate_specenum.py.

Referenced by main().

## ◆ make_begin()

generate_specenum.make_begin | ( |  | file | ) |

Definition at line 361 of file generate_specenum.py.

Referenced by main().

## ◆ make_bitvector()

generate_specenum.make_bitvector | ( |  | file | ) |

Definition at line 607 of file generate_specenum.py.

Referenced by main().

## ◆ make_by_name()

generate_specenum.make_by_name | ( |  | file | ) |

Definition at line 497 of file generate_specenum.py.

Referenced by main().

## ◆ make_documentation()

generate_specenum.make_documentation | ( |  | file | ) |

Definition at line 46 of file generate_specenum.py.

Referenced by main().

## ◆ make_end()

generate_specenum.make_end | ( |  | file | ) |

Definition at line 373 of file generate_specenum.py.

Referenced by main().

## ◆ make_enum()

generate_specenum.make_enum | ( |  | file | ) |

Definition at line 215 of file generate_specenum.py.

Referenced by main().

## ◆ make_header()

generate_specenum.make_header | ( |  | file | ) |

Definition at line 24 of file generate_specenum.py.

Referenced by main().

## ◆ make_invalid()

generate_specenum.make_invalid | ( |  | file | ) |

Definition at line 348 of file generate_specenum.py.

Referenced by main().

## ◆ make_is_bitwise()

generate_specenum.make_is_bitwise | ( |  | file | ) |

Definition at line 253 of file generate_specenum.py.

Referenced by main().

## ◆ make_is_valid()

generate_specenum.make_is_valid | ( |  | file | ) |

Definition at line 293 of file generate_specenum.py.

Referenced by main().

## ◆ make_macros()

generate_specenum.make_macros | ( |  | file | ) |

Definition at line 149 of file generate_specenum.py.

Referenced by main().

## ◆ make_max()

generate_specenum.make_max | ( |  | file | ) |

Definition at line 281 of file generate_specenum.py.

Referenced by main().

## ◆ make_min()

generate_specenum.make_min | ( |  | file | ) |

Definition at line 269 of file generate_specenum.py.

Referenced by main().

## ◆ make_name()

generate_specenum.make_name | ( |  | file | ) |

Definition at line 410 of file generate_specenum.py.

Referenced by main().

## ◆ make_next()

generate_specenum.make_next | ( |  | file | ) |

Definition at line 385 of file generate_specenum.py.

Referenced by main().

## ◆ make_translated_name()

generate_specenum.make_translated_name | ( |  | file | ) |

Definition at line 525 of file generate_specenum.py.

Referenced by main().

## ◆ make_undef()

generate_specenum.make_undef | ( |  | file | ) |

Definition at line 614 of file generate_specenum.py.

Referenced by main().

## Variable Documentation

## ◆ macros

list generate_specenum.macros = []

Definition at line 20 of file generate_specenum.py.

## ◆ max_enum_values

int generate_specenum.max_enum_values = 150

Definition at line 17 of file generate_specenum.py.